ru.bitel.bgbilling.kernel.admin.webmenu.common.service

## Interface WebMenuService

-     public interface WebMenuService

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setWebMenuIdForContract(int webMenuItemId, int contractId)`
    `java.util.List<WebMenuItem>` | `webMenuContractList(int contractId)`
    `void` | `webMenuDataDelete(int webMenuItemId)`
    `java.lang.String` | `webMenuDataGet(int webMenuItemId)`
    `void` | `webMenuDataUpdate(int webMenuItemId, java.lang.String webMenuItemData)`
    `WebMenuItem` | `webMenuInfoGet(int webMenuItemId)`
    `WebMenuItem` | `webMenuInfoUpdate(WebMenuItem webMenuItem)`
    `WebMenuModuleItem[]` | `webMenuKernelItems()`
    `java.util.List<WebMenuItem>` | `webMenuList(boolean loadCount)`
    `WebMenuModuleItem[]` | `webMenuModuleItems()`
    `WebMenuModuleItem[]` | `webMenuPluginItems()`

- - ### Method Detail

    - #### webMenuList

          java.util.List<WebMenuItem> webMenuList(boolean loadCount)
                                           throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### webMenuContractList

          java.util.List<WebMenuItem> webMenuContractList(int contractId)
                                                   throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### setWebMenuIdForContract

          void setWebMenuIdForContract(int webMenuItemId,
                                       int contractId)
                                throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### webMenuInfoUpdate

          WebMenuItem webMenuInfoUpdate(WebMenuItem webMenuItem)
                                 throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### webMenuDataUpdate

          void webMenuDataUpdate(int webMenuItemId,
                                 java.lang.String webMenuItemData)
                          throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### webMenuInfoGet

          WebMenuItem webMenuInfoGet(int webMenuItemId)
                              throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### webMenuDataGet

          java.lang.String webMenuDataGet(int webMenuItemId)
                                   throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### webMenuDataDelete

          void webMenuDataDelete(int webMenuItemId)
                          throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### webMenuKernelItems

          WebMenuModuleItem[] webMenuKernelItems()
                                          throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### webMenuModuleItems

          WebMenuModuleItem[] webMenuModuleItems()
                                          throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### webMenuPluginItems

          WebMenuModuleItem[] webMenuPluginItems()
                                          throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`